Subject: Re: [PATCH 3/3] diff: make "too many files" rename warning optional

From: Ramsay Jones <[email-masked]>
Date: Tue, 06 May 2008 23:33:30 +0100

Paul Mackerras wrote:
> Jeff King writes:
> 
>> Hrm. Is gitk on cygwin somehow squishing stderr and stdout together? Or
>> does gitk in general look at what happens on stderr?
>>
>> Because while I am happy that removing this message fixes your problem,
>> it is a little disconcerting to think that we can break gitk just by
>> issuing a warning diagnostic on stderr.
> 
> It's a more general Tcl thing - if you are reading from a process, and
> the process writes to stderr, and the script hasn't explicitly
> redirected stderr, the Tcl infrastructure assumes that the process is
> signalling an error, even if the exit status is 0.  Gitk does redirect
> stderr (to stdout) when it does a git reset, but not for other
> commands.
> 

Ah, OK. That explains it.

Actually, I seem to have a vague recollection of having had this
discussion before...

All the Best,

Ramsay Jones